cutlass::PredicateTileAdapter< PredicateVector_, Iterations_ > Struct Template Reference

Adapter to enable random access to predicates via logical coordinate within a tile.

`#include <predicate_vector.h>`

## Public Types

typedef PredicateVector_ | PredicateVector
| The vector of predicates. More...
typedef Iterations_ | Iterations
| The iterations. More...

## Public Member Functions

CUTLASS_DEVICE | PredicateTileAdapter (PredicateVector &predicates_)
| Ctor. More...
CUTLASS_DEVICE bool | at (int d, int h, int w, int c) const
| Get the value at location (d, h, w, c). More...
CUTLASS_DEVICE void | set (int d, int h, int w, int c, bool value)
| Set the value at location (d, h, w, c). More...

## Member Typedef Documentation

## Iterations

template<typename PredicateVector_ , typename Iterations_ >

typedef Iterations_ cutlass::PredicateTileAdapter< PredicateVector_, Iterations_ >::Iterations

## PredicateVector

template<typename PredicateVector_ , typename Iterations_ >

typedef PredicateVector_ cutlass::PredicateTileAdapter< PredicateVector_, Iterations_ >::PredicateVector

## Constructor & Destructor Documentation

## PredicateTileAdapter()

template<typename PredicateVector_ , typename Iterations_ >

CUTLASS_DEVICE cutlass::PredicateTileAdapter< PredicateVector_, Iterations_ >::PredicateTileAdapter | ( | PredicateVector & | predicates_ | ) |

inline

## Member Function Documentation

## at()

template<typename PredicateVector_ , typename Iterations_ >

CUTLASS_DEVICE bool cutlass::PredicateTileAdapter< PredicateVector_, Iterations_ >::at | ( | int | d,
|  | int | h,
|  | int | w,
|  | int | c
| ) |  | const

inline

## set()

template<typename PredicateVector_ , typename Iterations_ >

CUTLASS_DEVICE void cutlass::PredicateTileAdapter< PredicateVector_, Iterations_ >::set | ( | int | d,
|  | int | h,
|  | int | w,
|  | int | c,
|  | bool | value
| ) |  |

inline

The documentation for this struct was generated from the following file:

- predicate_vector.h